#ifndef _INCLUDE_PRAGMA_HBBSNODE_LIB_H
#define _INCLUDE_PRAGMA_HBBSNODE_LIB_H

/*
**  $VER: HBBSNode_lib.h (28/08/97)
**
**  Storm-C pragma file
*/

#ifndef CLIB_HBBSNODE_PROTOS_H
#include <hbbs/HBBSNode_protos.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#pragma amicall(HBBSNodeBase, 0x1E, HBBS_InitNode(D0))
#pragma amicall(HBBSNodeBase, 0x24, HBBS_CleanUpNode)
#pragma amicall(HBBSNodeBase, 0x2A, HBBS_InitDoor(D0,A0))
#pragma amicall(HBBSNodeBase, 0x30, HBBS_CleanUpDoor)
#pragma amicall(HBBSNodeBase, 0x36, ConWriteData(A0,D0))
#pragma amicall(HBBSNodeBase, 0x3C, ConWriteStr(A0))
#pragma amicall(HBBSNodeBase, 0x42, AbortConRead)
#pragma amicall(HBBSNodeBase, 0x48, SendConReadData)
#pragma amicall(HBBSNodeBase, 0x4E, ConReadData(D0))
#pragma amicall(HBBSNodeBase, 0x54, ConWaitData)
#pragma amicall(HBBSNodeBase, 0x5A, AbortSerRead)
#pragma amicall(HBBSNodeBase, 0x60, SendSerReadData)
#pragma amicall(HBBSNodeBase, 0x66, SerWaitData)
#pragma amicall(HBBSNodeBase, 0x6C, SendSerReadBlock(A0,D0))
#pragma amicall(HBBSNodeBase, 0x72, WaitSerReadBlock(A0,D0))
#pragma amicall(HBBSNodeBase, 0x78, SerQueryData)
#pragma amicall(HBBSNodeBase, 0x7E, CarrierLost)
#pragma amicall(HBBSNodeBase, 0x84, SerWriteDataWithTimeout(A0,D0,D1,D2))
#pragma amicall(HBBSNodeBase, 0x8A, SerWriteData(A0,D0))
#pragma amicall(HBBSNodeBase, 0x90, SerWriteStrWithTimeout(A0,D0,D1))
#pragma amicall(HBBSNodeBase, 0x96, SerWriteStr(A0))
#pragma amicall(HBBSNodeBase, 0x9C, SerDelayWriteStr(A0))
#pragma amicall(HBBSNodeBase, 0xA2, SerWriteChar(D0))
#pragma amicall(HBBSNodeBase, 0xA8, PutText(A0))
#pragma amicall(HBBSNodeBase, 0xAE, PutData(A0,D0))
#pragma amicall(HBBSNodeBase, 0xB4, PutChar(D0))
#pragma amicall(HBBSNodeBase, 0xBA, PutConText(A0))
#pragma amicall(HBBSNodeBase, 0xC0, PutConData(A0,D0))
#pragma amicall(HBBSNodeBase, 0xC6, PutConChar(D0))
#pragma amicall(HBBSNodeBase, 0xCC, SetupConSerSigs)
#pragma amicall(HBBSNodeBase, 0xD2, HandleConSigs(D0))
#pragma amicall(HBBSNodeBase, 0xD8, HandleSerSigs(D0))
#pragma amicall(HBBSNodeBase, 0xDE, HandleConSerSigs(D0))
#pragma amicall(HBBSNodeBase, 0xE4, DOOR_SysopText(A0))
#pragma amicall(HBBSNodeBase, 0xEA, DOOR_WriteText(A0))
#pragma amicall(HBBSNodeBase, 0xF0, DOOR_WriteSerText(A0))
#pragma amicall(HBBSNodeBase, 0xF6, DOOR_GetLine(D0,D1,D2,D3,A0))
#pragma amicall(HBBSNodeBase, 0xFC, DOOR_UpdateNodeStatus(D0))
#pragma amicall(HBBSNodeBase, 0x102, DOOR_SystemDoor(A0,A1))
#pragma amicall(HBBSNodeBase, 0x108, DOOR_UserDoor(A0,A1))
#pragma amicall(HBBSNodeBase, 0x10E, DOOR_HangUp)
#pragma amicall(HBBSNodeBase, 0x114, DOOR_Return(A0))
#pragma amicall(HBBSNodeBase, 0x11A, DOOR_DisplayScreen(A0))
#pragma amicall(HBBSNodeBase, 0x120, DOOR_DisplaySpecialScreen(A0))
#pragma amicall(HBBSNodeBase, 0x126, DOOR_PausePrompt(A0))
#pragma amicall(HBBSNodeBase, 0x12C, DOOR_Add_Last_Upload(A0))
#pragma amicall(HBBSNodeBase, 0x132, DOOR_ContinuePrompt(A0,D0))
#pragma amicall(HBBSNodeBase, 0x138, DOOR_MenuPrompt(A0,D0))
#pragma amicall(HBBSNodeBase, 0x13E, DOOR_Continue(D0))
#pragma amicall(HBBSNodeBase, 0x144, ValidConfNum(D0))
#pragma amicall(HBBSNodeBase, 0x14A, FindConf)
#pragma amicall(HBBSNodeBase, 0x150, LoadAccess(A0,A1))
#pragma amicall(HBBSNodeBase, 0x156, HBBS_ModifyString(A0))
#pragma amicall(HBBSNodeBase, 0x15C, HBBS_SetAccess)
#pragma amicall(HBBSNodeBase, 0x162, HBBS_CheckAccess(D0))
#pragma amicall(HBBSNodeBase, 0x168, HBBS_AddToCallersLog(A0))
#pragma amicall(HBBSNodeBase, 0x16E, HBBS_FindTag(A0,D0))
#pragma amicall(HBBSNodeBase, 0x174, HBBS_SetBBSCols)
#pragma amicall(HBBSNodeBase, 0x17A, HBBS_LoadConfAcs(A0,A1))
#pragma amicall(HBBSNodeBase, 0x180, DOOR_CheckRaw(D0))
#pragma amicall(HBBSNodeBase, 0x186, HBBS_TimeOnline)
#pragma amicall(HBBSNodeBase, 0x18C, HBBS_TimeLeft)
#pragma amicall(HBBSNodeBase, 0x192, DOOR_Goodbye)
#pragma amicall(HBBSNodeBase, 0x198, HBBS_AllowConfAccess(D0,A0))
#pragma amicall(HBBSNodeBase, 0x19E, HBBS_SetBBSStrings)
#pragma amicall(HBBSNodeBase, 0x1A4, HBBS_CleanupNodeConsoleWin)
#pragma amicall(HBBSNodeBase, 0x1AA, HBBS_SetWatchTitles)
#pragma amicall(HBBSNodeBase, 0x1B0, HBBS_OpenNodeConsoleWin)
#pragma amicall(HBBSNodeBase, 0x1B6, HBBS_ChangeConsoleMode(D0))
#pragma amicall(HBBSNodeBase, 0x1BC, DOOR_ChangeConsoleMode(D0))
#pragma amicall(HBBSNodeBase, 0x1C2, DOOR_Add_Last_Download(A0))

#ifdef __cplusplus
}
#endif

#endif
